<template>
  <div class="postcard-viewer">

    <!-- PostCardMediacard -->
    <ThePostCardMediacard v-for="postcard in postcardList" :key="postcard.id" :postcard="postcard" />
  </div>
</template>
  
  <script>
import ThePostCardMediacard from "./ThePostCardMediacard.vue";
export default {
  name: "PostCardViewer",
  components: {
    ThePostCardMediacard,
  },
  data() {
    return {
    };
  },

  computed: {
    postcardList() {
      return this.$store.getters.getPostcards;
    },
  },

  mounted() {
    this.$store.dispatch("fetchPostcards", {
      token: this.$store.state.token,
    });
  },

  methods: {},
};
</script>